import { AudienceDestinationDefinition, RequestClient } from '@segment/actions-core';
import type { Settings, AudienceSettings } from './generated-types';
declare const destination: AudienceDestinationDefinition<Settings, AudienceSettings>;
export declare function getAudienceIdByName(request: RequestClient, name: string): Promise<string | undefined>;
export declare function getAudienceIdById(request: RequestClient, externalId: string): Promise<string | undefined>;
export default destination;
